<div class="match--container">
  {{#each this.arrayOfAttempts as |attempt|}}
    <Match::Attempt 
      @active={{this.matchActive}}
      @wordleWord={{this.wordleWord}} 
      @number={{attempt}} 
      @currentAttempt={{this.currentAttemptNumber}} 
      @onChangeLetterGuess={{this.registerAttemptGuessing}}
      @onComplete={{this.onAttemptCompleted}}/>
  {{/each}}
</div>

<OnScreenKeyboard />